package com.mortals.xhx.module.alarm.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.alarm.model.AlarmSmsSendEntity;
/**
 * 短信发送记录查询对象
 *
 * @author zxfei
 * @date 2022-08-22
 */
public class AlarmSmsSendQuery extends AlarmSmsSendEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 联系电话 */
    private List<String> mobileList;

    /** 接收人员 */
    private List<String> receiverList;

    /** 发送内容 */
    private List<String> sendMessList;

    /** 开始 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败) */
    private Integer sendStatusStart;

    /** 结束 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败) */
    private Integer sendStatusEnd;

    /** 增加 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败) */
    private Integer sendStatusIncrement;

    /** 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)列表 */
    private List <Integer> sendStatusList;

    /** 开始 发送时间 */
    private String sendTimeStart;

    /** 结束 发送时间 */
    private String sendTimeEnd;

    /** 开始 站点Id，来源基础服务平台 */
    private Long siteIdStart;

    /** 结束 站点Id，来源基础服务平台 */
    private Long siteIdEnd;

    /** 增加 站点Id，来源基础服务平台 */
    private Long siteIdIncrement;

    /** 站点Id，来源基础服务平台列表 */
    private List <Long> siteIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AlarmSmsSendQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AlarmSmsSendQuery> andConditionList;

    public AlarmSmsSendQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 联系电话
     * @return mobileList
     */
    public List<String> getMobileList(){
        return this.mobileList;
    }

    /**
     * 设置 联系电话
     * @param mobileList
     */
    public void setMobileList(List<String> mobileList){
        this.mobileList = mobileList;
    }
    /**
     * 获取 接收人员
     * @return receiverList
     */
    public List<String> getReceiverList(){
        return this.receiverList;
    }

    /**
     * 设置 接收人员
     * @param receiverList
     */
    public void setReceiverList(List<String> receiverList){
        this.receiverList = receiverList;
    }
    /**
     * 获取 发送内容
     * @return sendMessList
     */
    public List<String> getSendMessList(){
        return this.sendMessList;
    }

    /**
     * 设置 发送内容
     * @param sendMessList
     */
    public void setSendMessList(List<String> sendMessList){
        this.sendMessList = sendMessList;
    }
    /**
     * 获取 开始 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @return sendStatusStart
     */
    public Integer getSendStatusStart(){
        return this.sendStatusStart;
    }

    /**
     * 设置 开始 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @param sendStatusStart
     */
    public void setSendStatusStart(Integer sendStatusStart){
        this.sendStatusStart = sendStatusStart;
    }

    /**
     * 获取 结束 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @return $sendStatusEnd
     */
    public Integer getSendStatusEnd(){
        return this.sendStatusEnd;
    }

    /**
     * 设置 结束 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @param sendStatusEnd
     */
    public void setSendStatusEnd(Integer sendStatusEnd){
        this.sendStatusEnd = sendStatusEnd;
    }

    /**
     * 获取 增加 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @return sendStatusIncrement
     */
    public Integer getSendStatusIncrement(){
        return this.sendStatusIncrement;
    }

    /**
     * 设置 增加 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @param sendStatusIncrement
     */
    public void setSendStatusIncrement(Integer sendStatusIncrement){
        this.sendStatusIncrement = sendStatusIncrement;
    }

    /**
     * 获取 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @return sendStatusList
     */
    public List<Integer> getSendStatusList(){
        return this.sendStatusList;
    }

    /**
     * 设置 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @param sendStatusList
     */
    public void setSendStatusList(List<Integer> sendStatusList){
        this.sendStatusList = sendStatusList;
    }

    /**
     * 获取 开始 发送时间
     * @return sendTimeStart
     */
    public String getSendTimeStart(){
        return this.sendTimeStart;
    }

    /**
     * 设置 开始 发送时间
     * @param sendTimeStart
     */
    public void setSendTimeStart(String sendTimeStart){
        this.sendTimeStart = sendTimeStart;
    }

    /**
     * 获取 结束 发送时间
     * @return sendTimeEnd
     */
    public String getSendTimeEnd(){
        return this.sendTimeEnd;
    }

    /**
     * 设置 结束 发送时间
     * @param sendTimeEnd
     */
    public void setSendTimeEnd(String sendTimeEnd){
        this.sendTimeEnd = sendTimeEnd;
    }

    /**
     * 获取 开始 站点Id，来源基础服务平台
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id，来源基础服务平台
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id，来源基础服务平台
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id，来源基础服务平台
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id，来源基础服务平台
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id，来源基础服务平台
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id，来源基础服务平台
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id，来源基础服务平台
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public AlarmSmsSendQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public AlarmSmsSendQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public AlarmSmsSendQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public AlarmSmsSendQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public AlarmSmsSendQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }


    /**
     * 设置 联系电话
     * @param mobile
     */
    public AlarmSmsSendQuery mobile(String mobile){
        setMobile(mobile);
        return this;
    }

    /**
     * 设置 联系电话
     * @param mobileList
     */
    public AlarmSmsSendQuery mobileList(List<String> mobileList){
        this.mobileList = mobileList;
        return this;
    }


    /**
     * 设置 接收人员
     * @param receiver
     */
    public AlarmSmsSendQuery receiver(String receiver){
        setReceiver(receiver);
        return this;
    }

    /**
     * 设置 接收人员
     * @param receiverList
     */
    public AlarmSmsSendQuery receiverList(List<String> receiverList){
        this.receiverList = receiverList;
        return this;
    }


    /**
     * 设置 发送内容
     * @param sendMess
     */
    public AlarmSmsSendQuery sendMess(String sendMess){
        setSendMess(sendMess);
        return this;
    }

    /**
     * 设置 发送内容
     * @param sendMessList
     */
    public AlarmSmsSendQuery sendMessList(List<String> sendMessList){
        this.sendMessList = sendMessList;
        return this;
    }

    /**
     * 设置  发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @param sendStatus
     */
    public AlarmSmsSendQuery sendStatus(Integer sendStatus){
        setSendStatus(sendStatus);
        return this;
    }

    /**
     * 设置 开始 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @param sendStatusStart
     */
    public AlarmSmsSendQuery sendStatusStart(Integer sendStatusStart){
        this.sendStatusStart = sendStatusStart;
        return this;
    }

    /**
     * 设置 结束 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @param sendStatusEnd
     */
    public AlarmSmsSendQuery sendStatusEnd(Integer sendStatusEnd){
        this.sendStatusEnd = sendStatusEnd;
        return this;
    }

    /**
     * 设置 增加 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @param sendStatusIncrement
     */
    public AlarmSmsSendQuery sendStatusIncrement(Integer sendStatusIncrement){
        this.sendStatusIncrement = sendStatusIncrement;
        return this;
    }

    /**
     * 设置 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @param sendStatusList
     */
    public AlarmSmsSendQuery sendStatusList(List<Integer> sendStatusList){
        this.sendStatusList = sendStatusList;
        return this;
    }


    /**
     * 设置  站点Id，来源基础服务平台
     * @param siteId
     */
    public AlarmSmsSendQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id，来源基础服务平台
     * @param siteIdStart
     */
    public AlarmSmsSendQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id，来源基础服务平台
     * @param siteIdEnd
     */
    public AlarmSmsSendQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id，来源基础服务平台
     * @param siteIdIncrement
     */
    public AlarmSmsSendQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id，来源基础服务平台
     * @param siteIdList
     */
    public AlarmSmsSendQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public AlarmSmsSendQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public AlarmSmsSendQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public AlarmSmsSendQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public AlarmSmsSendQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public AlarmSmsSendQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<AlarmSmsSendQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<AlarmSmsSendQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<AlarmSmsSendQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<AlarmSmsSendQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}